<template>
  <v-app>
    <AppBar/>
    <v-content>
      <router-view/>
    </v-content>
  </v-app>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

import AppBar from '@/components/AppBar.vue';

export default Vue.extend({
  name: 'App',

  components: {
    AppBar,
  },
  computed: mapState(['locale']),
  watch: {
    locale() {
      this.$router.replace({ params: { lang: this.locale } }).catch((e) => {
        console.log(e.message);
      });
    },
  },
});
</script>
